> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Produkte im Produktkatalog ändern

> Löschen Sie Produkte und aktualisieren Sie deren Verfügbarkeit in Ihrem Kameleoon-Produktkatalog mithilfe der API-Endpoints Remove Products und Update Products.

Diese Anleitung erklärt, wie Sie in Ihrem Kameleoon-Produktkatalog **Produkte löschen** und **deren Verfügbarkeit aktualisieren** können. Für alle anderen Produktaktualisierungen lesen Sie das **[Tutorial zum Importieren eines Produktkatalogs](./import-a-product-catalog-into-kameleoon-using-the-product-recommendation-api)**.

Die folgenden Endpoints werden verwendet:

* **[Remove Products](../all-endpoints/Import/remove-products)**
* **[Update available Products](../all-endpoints/Import/update-products)**

## Ziel

Produkte entfernen oder als vorrätig im Kameleoon-Produktkatalog markieren.

## Die entsprechenden API-Endpoints aufrufen

### a. Verfügbare Produkte aktualisieren

Verwenden Sie diesen Endpoint, um anzugeben, welche Produkte derzeit **vorrätig** sind.

<Warning>
  Alle nicht aufgelisteten Produkte werden als nicht vorrätig markiert.
</Warning>

**Endpoint:**

```sqlite3 theme={null}
PATCH https://api.products.kameleoon.com/import/products
```

| Name          | Typ    | Erforderlich | Beschreibung                          |
| ------------- | ------ | ------------ | ------------------------------------- |
| `shop_id`     | string | True         | Ihre Kameleoon-Store-ID               |
| `shop_secret` | string | True         | Ihre Kameleoon-Secret-ID              |
| `items`       | List   | True         | Eine Liste der Produkt-IDs auf Lager. |

Dies ist ein **vollständiger Austausch**: Geben Sie nur Produkt-IDs an, die verfügbar sind. Jedes nicht aufgelistete Produkt wird als **nicht vorrätig** betrachtet.

**Beispiel:**

```bash theme={null}
curl -X PATCH -L 'https://api.products.kameleoon.com/import/products' \
             -H 'Content-Type: application/json' \
             -d '{
    "shop_id": "eehj3eu84299kg5ghw5a6743r8",
    "shop_secret": "pmd5362597thrgq8k256ep01t0",
    "items": ["1235", "4337", "7578"]
}'
```

### b. Produkte entfernen

Löschen Sie Produkte aus Kameleoon, um zu verhindern, dass sie in den Empfehlungsergebnissen erscheinen.

**Endpoint:**

```
DELETE https://api.products.kameleoon.com/import/products
```

| Name          | Typ    | Erforderlich | Beschreibung               |
| ------------- | ------ | ------------ | -------------------------- |
| `shop_id`     | string | True         | Ihre Kameleoon-Store-ID    |
| `shop_secret` | string | True         | Ihre Kameleoon-Secret-ID   |
| `items`       | List   | True         | Eine Liste von Produkt-IDs |

<Note>
  Senden Sie nur die IDs der Produkte, die Sie löschen möchten.
</Note>

```bash theme={null}
curl -X DELETE -L 'https://api.products.kameleoon.com/import/products' \
             -H 'Content-Type: application/json' \
             -d '{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1635", "3743", "7578", "432"]
}'
```
